package com.ssj.service.course.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class CourseLibFeedbackSeeVO implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String coverUrl; //课程封面
	private String courseUnit; //小标题
	
	private String childName; //学生姓名
	private String grade; //学生年级
	private String childImg;//学生头像
	private Date feedbackTime;//课程时间
	private Integer flowerCount; //小红花数量
	private String courseTitle; //课堂标题
	private List<CourseContentVO> courseContentList ; //课堂内容Stringlist
	private List<String> imgList ; //课堂风采
	private List<ClassInfoVO> classInfoList ;//今日课堂
	private String iydCourseTaskList; //爱阅读课后小任务
	private List<VideoVO> ipdCourseTaskList; //爱拼读课后小任务
	private String teacherSay; //爱拼读老师想说的话
	private String hotwords; //温馨话语
	private String feedbackId; //反馈id
	private Integer isJude; //是否评价 1-未评价 2-已评价
	private Integer courseType; //1爱阅读2爱拼读3爱思维
	public String getCourseTitle() {
		return courseTitle;
	}
	public void setCourseTitle(String courseTitle) {
		this.courseTitle = courseTitle;
	}
	public List<CourseContentVO> getCourseContentList() {
		return courseContentList;
	}
	public void setCourseContentList(List<CourseContentVO> courseContentList) {
		this.courseContentList = courseContentList;
	}
	
	public List<ClassInfoVO> getClassInfoList() {
		return classInfoList;
	}
	public void setClassInfoList(List<ClassInfoVO> classInfoList) {
		this.classInfoList = classInfoList;
	}
	public String getIydCourseTaskList() {
		return iydCourseTaskList;
	}
	public void setIydCourseTaskList(String iydCourseTaskList) {
		this.iydCourseTaskList = iydCourseTaskList;
	}
	public List<VideoVO> getIpdCourseTaskList() {
		return ipdCourseTaskList;
	}
	public void setIpdCourseTaskList(List<VideoVO> ipdCourseTaskList) {
		this.ipdCourseTaskList = ipdCourseTaskList;
	}
	public String getChildImg() {
		return childImg;
	}
	public void setChildImg(String childImg) {
		this.childImg = childImg;
	}
	public String getChildName() {
		return childName;
	}
	public void setChildName(String childName) {
		this.childName = childName;
	}
	public String getGrade() {
		return grade;
	}
	public void setGrade(String grade) {
		this.grade = grade;
	}
	public Date getFeedbackTime() {
		return feedbackTime;
	}
	public void setFeedbackTime(Date feedbackTime) {
		this.feedbackTime = feedbackTime;
	}
	public Integer getFlowerCount() {
		return flowerCount;
	}
	public void setFlowerCount(Integer flowerCount) {
		this.flowerCount = flowerCount;
	}
	public List<String> getImgList() {
		return imgList;
	}
	public void setImgList(List<String> imgList) {
		this.imgList = imgList;
	}
	public String getTeacherSay() {
		return teacherSay;
	}
	public void setTeacherSay(String teacherSay) {
		this.teacherSay = teacherSay;
	}
	public String getHotwords() {
		return hotwords;
	}
	public void setHotwords(String hotwords) {
		this.hotwords = hotwords;
	}
	public String getFeedbackId() {
		return feedbackId;
	}
	public void setFeedbackId(String feedbackId) {
		this.feedbackId = feedbackId;
	}
	public Integer getIsJude() {
		return isJude;
	}
	public void setIsJude(Integer isJude) {
		this.isJude = isJude;
	}
	public Integer getCourseType() {
		return courseType;
	}
	public void setCourseType(Integer courseType) {
		this.courseType = courseType;
	}
	public String getCoverUrl() {
		return coverUrl;
	}
	public void setCoverUrl(String coverUrl) {
		this.coverUrl = coverUrl;
	}
	public String getCourseUnit() {
		return courseUnit;
	}
	public void setCourseUnit(String courseUnit) {
		this.courseUnit = courseUnit;
	}
	
	
}
